<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('road_observeds', function (Blueprint $table) {
            $table->foreign(['edarate_shahri_id'], 'road_observeds_edarate_shahri_foreign')->references(['id'])->on('edarate_shahri')->onUpdate('cascade')->onDelete('set null');
            $table->foreign(['city_id'], 'road_observeds_FK')->references(['id'])->on('cities')->onUpdate('cascade')->onDelete('set null');
            $table->foreign(['province_id'])->references(['id'])->on('provinces')->onUpdate('cascade')->onDelete('set null');
            $table->foreign(['rms_city_id'])->references(['id'])->on('cities')->onUpdate('cascade')->onDelete('set null');
            $table->foreign(['rms_province_id'])->references(['id'])->on('provinces')->onUpdate('cascade')->onDelete('set null');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('road_observeds', function (Blueprint $table) {
            $table->dropForeign('road_observeds_edarate_shahri_foreign');
            $table->dropForeign('road_observeds_FK');
            $table->dropForeign('road_observeds_province_id_foreign');
            $table->dropForeign('road_observeds_rms_city_id_foreign');
            $table->dropForeign('road_observeds_rms_province_id_foreign');
        });
    }
};
